# .drone.yml

## Docker Pipeline

### Example Docker Configuration
This guide covers configuring continuous integration pipelines for projects that have a Docker dependency. If you’re new to Drone please read our Tutorial and build configuration guides first.

### Basic Example
In the below example we demonstrate a pipeline that connects to the host machine Docker daemon by mounting a volume. For security reasons, only trusted repositories can mount volumes. Furthermore, mounting the host machine Docker socket is highly insecure, and should only be used in trusted environments.
```yaml
---
kind: pipeline
name: default

steps:
- name: test
  image: docker:dind
  volumes:
  - name: dockersock
    path: /var/run/docker.sock
  commands:
  - docker ps -a

volumes:
- name: dockersock
  host:
    path: /var/run/docker.sock
...
```

# SSH 

```yaml
---
kind: pipeline
name: ssh deploy

steps:
- name: ssh commands
  image: appleboy/drone-ssh
  settings:
    host:
      from_secret: host
    username:
      from_secret: username
    password:
      from_secret: password
    port: 22
    script:
      - docker run --rm sthopeless/randompwd
      - docker image rm sthopeless/randompwd:latest
      - mkdir ~/test
      - rm -r ~/test
      - echo "This is a test."
```